package com.zfire.jiasm.syncdata.service.impl;

import com.zfire.jiasm.syncdata.api.OrderAddBeanDTO;
import com.zfire.jiasm.syncdata.constant.JiasmFeign;
import com.zfire.jiasm.syncdata.utils.ResponseHelper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

@Slf4j
@Component
public class JiasmFeignClientFallback implements JiasmFeign {
    @Override
    public ResponseHelper orderAdd(@RequestBody OrderAddBeanDTO orderAddBeanDTO){
        log.info("创建工单失败");
        ResponseHelper hr = new ResponseHelper(-1,"创建工单失败");
        return hr;
    }
}
